<dx-scroll-view height='100%'>
    <dx-form [colCount]="2" [formData]='userData' [showValidationSummary]="false" validationGroup="userValidation"
        labelLocation="left">
        <dxi-item itemType="group" [colSpan]="2" [colCount]='2'>
            <dxi-item [label]="{text: 'Nume și Prenume'}" dataField="fullName" editorType="dxTextBox" [editorOptions]="{ }">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
            <dxi-item [label]="{text: 'Adresa E-mail'}" dataField="emailAddress" editorType="dxTextBox">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
            <!-- <dxi-item [label]="{text: 'Utilizator'}" dataField="loginName" editorType="dxTextBox" [editorOptions]="{readOnly: true }">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item> -->
        </dxi-item>
        <dxi-item itemType="group" [colSpan]="2" [colCount]='2'>
            <dxi-item [label]="{text: 'CNP'}" dataField="pin" editorType="dxTextBox" [editorOptions]="{  }"></dxi-item>
            <dxi-item [label]="{text: 'Telefon'}" dataField='phone' editorType="dxTextBox" [editorOptions]="{ }"></dxi-item>
        </dxi-item>
        <dxi-item itemType="group" [colSpan]="2" [colCount]='2'>
            <dxi-item [visible]='!userData.isEditMode' [label]="{text: 'Rol'}" dataField='roleId' editorType="dxSelectBox"
                [editorOptions]="{dataSource: dsRoles, valueExpr: 'id', displayExpr: 'name' }">

            </dxi-item>
            <dxi-item [label]="{text: 'Activ'}" dataField='isActiv' editorType="dxCheckBox" [editorOptions]="{ }"></dxi-item>
        </dxi-item>
    </dx-form>
</dx-scroll-view>